[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ApplicationName

Return a default application name

## Declaration

Source position: osutilsh.inc line 44

`function ApplicationName: string;`

## Description

ApplicationName returns the name of the current application. Standard this is equal to the filename part minus extension of ParamStr(0), but it can be customized by setting the OnGetApplicationName callback.

Note that the returned value is only the name portion. It does not contain any path or file extension.

## Errors

None.

## See also

GetAppConfigDir |  | Return the appropriate directory for the application's configuration files.
OnGetApplicationName |  | Callback to get a customized application name.
GetAppConfigFile |  | Return an appropriate name for an application configuration file.
ConfigExtension |  | Default application configuration file extension.

Documentation generated on: Feb 26 2014